# All files / searching toSearchQuery.ts

85% Statements 17/20
33.33% Branches 1/3
100% Functions 1/1
85% Lines 17/20

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    211x
    1x
    1x
    1x
    1x
    1x
    1x
    1x
    20105x
    20105x
    20105x
    20105x
    20105x

    20105x

    20105x
    20105x
    20105x
     import { type WhitespaceFilter } from "./types.js";

    /**
     * @param s - The string to convert
     * @param whitespace - (default: `"keep"`)
     * @remarks \@since 6.0.0
     */
    export function toSearchQuery(
      s: string,
      whitespace: WhitespaceFilter = "keep"
    ): string {
      let q = s.toLowerCase();
      if (whitespace === "ignore") {
        q = q.replace(/\s/g, "");
      } else if (whitespace === "trim") {
        q = q.trim();
      }

      return q;
    }